IF OBJECT_ID('[NpmPackages_AllVersions]') IS NOT NULL DROP VIEW [NpmPackages_AllVersions]
GO

CREATE VIEW [NpmPackages_AllVersions]
AS
	SELECT NP.[Feed_Id],
	       NP.[Package_Name],
		   NP.[Scope_Name],
		   NPV.[Version_Text],
		   NPV.[Published_Date],
		   NPV.[Download_Count],
		   NPV.[LastDownloaded_Date],
		   NPV.[PackageHash_Bytes],
		   NPV.[PackageJson_Bytes],
		   NPV.[Cached_Indicator],
		   NPV.[Package_Size],
		   NPV.[SHA512Hash_Bytes],
		   _D.[LastConsumed_Date],
		   [ActiveFeedConsumer_Indicator] = COALESCE(_D.[ActiveFeedConsumer_Indicator], 'N')
	  FROM [NpmPackageVersions] NPV
	       INNER JOIN [NpmPackages] NP
		           ON NP.[Package_Id] = NPV.[Package_Id]
			LEFT JOIN (SELECT PD.[Feed_Id],
							  [Group_Name] = COALESCE(PD.[Group_Name], ''),
	                          PD.[Package_Name],
							  PD.[Version_Text],
	                          [LastConsumed_Date] = MAX(PD.[Created_Date]),
	                          [ActiveFeedConsumer_Indicator] = CASE WHEN MAX(PD.[Dependent_Feed_Id]) IS NULL THEN 'N' ELSE 'Y' END
                         FROM [PackageDependents] PD
                        GROUP BY PD.[Feed_Id], PD.[Group_Name], PD.[Package_Name], PD.[Version_Text]) _D
				   ON _D.[Feed_Id] = NP.[Feed_Id]
				  AND _D.[Group_Name] = NP.[Scope_Name]
				  AND _D.[Package_Name] = NP.[Package_Name]
				  AND _D.[Version_Text] = NPV.[Version_Text]

GO