IF OBJECT_ID('TR__DockerRepositoryTags__ValidateImage') IS NOT NULL DROP TRIGGER [TR__DockerRepositoryTags__ValidateImage]
GO

CREATE TRIGGER [TR__DockerRepositoryTags__ValidateImage]
       ON [DockerRepositoryTags] FOR UPDATE, INSERT
AS 
BEGIN
	--Ensure that the DockerImage_Id column is consistent with the associated DockerRepository_Id
	IF EXISTS(SELECT *
	            FROM inserted i
				     INNER JOIN [DockerImages] DI
					         ON DI.[DockerImage_Id] = i.[DockerImage_Id]
			   WHERE (i.[DockerRepository_Id] <> DI.[DockerRepository_Id]))
	BEGIN
		RAISERROR('An invalid DockerImage_Id was provided for this tag.', 16, 1)
		ROLLBACK
	END
END
GO
