EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Connectors_GetConnector',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Connectors',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified connector.'
GO

IF OBJECT_ID('[Connectors_GetConnector]') IS NOT NULL DROP PROCEDURE [Connectors_GetConnector]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Connectors_GetConnector]
(
	@Connector_Id INT = NULL,
	@Connector_Name NVARCHAR(100) = NULL
)
 AS BEGIN

	SET NOCOUNT ON

	IF @Connector_Id IS NOT NULL
		SELECT *
	      FROM [Connectors]
	     WHERE [Connector_Id] = @Connector_Id
	ELSE
		SELECT *
	      FROM [Connectors]
	     WHERE [Connector_Name] = @Connector_Name

END
GO

GRANT EXECUTE ON [Connectors_GetConnector] TO [ProGetUser_Role]
GO