EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'HelmChartDockerImages_GetImagesByTag',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'HelmChartDockerImages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of Docker Images from a chart in a Helm feed.'
GO

IF OBJECT_ID('[HelmChartDockerImages_GetImagesByTag]') IS NOT NULL DROP PROCEDURE [HelmChartDockerImages_GetImagesByTag]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [HelmChartDockerImages_GetImagesByTag]
(
	@DockerFeed_Id INT,
	@Repository_Name VARCHAR(255),
	@Tag_Name VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

SELECT *
FROM [HelmChartDockerImages_Extended]
WHERE [Repository_Name] = @Repository_Name AND [Tag_Name] = @Tag_Name AND [Docker_Feed_Id] = @DockerFeed_Id

END
GO

GRANT EXECUTE ON [HelmChartDockerImages_GetImagesByTag] TO [ProGetUser_Role]
GO
